﻿/* Style de la page d'accès de Via v5.5 */

/* All general styles are in interface */ 
/*=[ BACKGROUND ]===================*/
    HTML, BODY{
		color:expression(color(text));
        width:100%;
        height:100%;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
        overflow:hidden;
        background-position: 45% 65%;
	    *background-position: 0 -90px;
	    background-repeat: no-repeat;
	}	

	/* Variantes de versions dérivées */
    .default.lang_fr-CA, .default.lang_fr-FR,
    .skin6_1.lang_fr-CA, .skin6_1.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_1,1))"); }
    .skin6_2.lang_fr-CA, .skin6_2.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_2,2,1))");}
    .skin6_3.lang_fr-CA, .skin6_3.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_3,3,1))"); }
    .skin6_4.lang_fr-CA, .skin6_4.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_4,4,1))"); }
    .skin6_5.lang_fr-CA, .skin6_5.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_5,5,2,1))"); }
    .skin6_6.lang_fr-CA, .skin6_6.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_6,6,3,1))"); }

    .default.lang_en-CA,
    .skin6_1.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_1,1))"); }
    .skin6_2.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_2,2,1))"); }
    .skin6_3.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_3,3,1))"); }
    .skin6_4.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_4,4,1))"); }
    .skin6_5.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_5,5,2,1))"); }
    .skin6_6.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_6,6,3,1))"); }
    
    .lang_es-MX,
    .skin6_1.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_1,1))"); }
    .skin6_2.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_2,2,1))"); }
    .skin6_3.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_3,3,1))"); }
    .skin6_4.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_4,4,1))"); }
    .skin6_5.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_5,5,2,1))"); }
    .skin6_6.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_6,6,3,1))"); }

    .lang_de-DE,
    .skin6_1.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_1,1))");
    }

    .skin6_2.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_2,2,1))");
    }

    .skin6_3.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_3,3,1))");
    }

    .skin6_4.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_4,4,1))");
    }

    .skin6_5.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_5,5,2,1))");
    }

    .skin6_6.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_6,6,3,1))");
    }

    /* POUR PLAN NOMMÉE OU SALLE PRIVÉE */
    /* Variantes de versions dérivées */
    .UP.lang_fr-CA, .UP.lang_fr-FR,
    .UP.skin6_1.lang_fr-CA, .UP.skin6_1.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_up_1,up_1,fr_1,1))"); }
    .UP.skin6_2.lang_fr-CA, .UP.skin6_2.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_up_2,up_2,up_1,fr_2,fr_1,2,1))"); }
    .UP.skin6_3.lang_fr-CA, .UP.skin6_3.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_up_3,up_3,up_1,fr_3,fr_1,3,1))"); }
    .UP.skin6_4.lang_fr-CA, .UP.skin6_4.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_up_4,up_4,up_1,fr_4,fr_1,4,1))"); }
    .UP.skin6_5.lang_fr-CA, .UP.skin6_5.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_up_5,up_5,up_2,up_1,fr_5,fr_2,fr_1,5,2,1))"); }
    .UP.skin6_6.lang_fr-CA, .UP.skin6_6.lang_fr-FR { background-image: url("expression(image(intro.jpg,,fr_up_6,up_6,up_3,up_1,fr_6,fr_3,fr_1,6,3,1))"); }

    .UP.lang_en-CA,
    .UP.skin6_1.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_up_1,up_1,en_1,1))"); }
    .UP.skin6_2.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_up_2,up_2,up_1,en_2,en_1,2,1))"); }
    .UP.skin6_3.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_up_3,up_3,up_1,en_3,en_1,3,1))"); }
    .UP.skin6_4.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_up_4,up_4,up_1,en_4,en_1,4,1))"); }
    .UP.skin6_5.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_up_5,up_5,up_2,up_1,en_5,en_2,en_1,5,2,1))"); }
    .UP.skin6_6.lang_en-CA { background-image: url("expression(image(intro.jpg,,en_up_6,up_6,up_3,up_1,en_6,en_3,en_1,6,3,1))");}
    
    .UP.lang_es-MX,
    .UP.skin6_1.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_up_1,up_1,es_1,1))"); }
    .UP.skin6_2.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_up_2,up_2,up_1,es_2,es_1,2,1))"); }
    .UP.skin6_3.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_up_3,up_3,up_1,es_3,es_1,3,1))"); }
    .UP.skin6_4.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_up_4,up_4,up_1,es_4,es_1,4,1))"); }
    .UP.skin6_5.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_up_5,up_5,up_2,up_1,es_5,es_2,es_1,5,2,1))"); }
    .UP.skin6_6.lang_es-MX { background-image: url("expression(image(intro.jpg,,es_up_6,up_6,up_3,up_1,es_6,es_3,es_1,6,3,1))"); }

    .UP.lang_de-DE,
    .UP.skin6_1.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_up_1,up_1,de_1,1))");
    }

    .UP.skin6_2.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_up_2,up_2,up_1,de_2,de_1,2,1))");
    }

    .UP.skin6_3.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_up_3,up_3,up_1,de_3,de_1,3,1))");
    }

    .UP.skin6_4.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_up_4,up_4,up_1,de_4,de_1,4,1))");
    }

    .UP.skin6_5.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_up_5,up_5,up_2,up_1,de_5,de_2,de_1,5,2,1))");
    }

    .UP.skin6_6.lang_de-DE {
        background-image: url("expression(image(intro.jpg,,de_up_6,up_6,up_3,up_1,de_6,de_3,de_1,6,3,1))");
    }

/*=[ TABLE PRINCIPALE ]==================*/
    #mainTable {
	    width: 100%;
	    height:100%;
	    position:absolute;
	    left: 0px;
	    top: 0px;
	    padding: 0px;
	    margin: 0px;
    }  
	
   #mainTable_mid{
	   *position:relative;
	   *height:90%;
    }
   
   #mainTable_bottom {
	    height:20px;
    }
   #mainFrame {
	    width:100%;
	    height:100%;
    }
   #td_mainFrame,
   .UP #td_mainFrame{
	    position:absolute;
	    *position:relative; /* IE 7 and below */
	    width:100%;
	    margin: auto;
	    top:64%;
	    height:36%;
	    background: expression(color(loginBg));
	    background: expression(colorRGBA(loginBg,.8));
	    display:block;
    }
	
   #pnlTitleHeader{
       background-color:expression(color(headerBg));
       text-align : right;
   }
    
    #pnlGuest
    {
        border-top:none !important;
    }

    #pnlLogin,
    #pnlDetection,
    #pnlForgotPass,
    #pnlGuest,
    #pnlHeader{
	    border-top:35px solid expression(color(headerBg));
	    height:35%;
	    *height:42%;
	    min-height:125px;
	    width:100%;		
    }
    .UP #pnlGuest,
    .UP #pnlLogin,
    .UP #pnlForgotPass,
    .UP #pnlDetection{
	    border-top:none;	
    }

    #pnlForgotPass{
	    border-top:none;	
    }
	
/*=[ CONTENU ]=====================*/
    #tabHeader /* login UP */ { 
        position: relative;
	    width:980px;
	    margin:0 auto;
        min-height: 125px;
    }
    #tabLogin,
    #rdbLoginMode,
    #tabGuest,
    #rdbLoginMode ,
    #rdbLoginModeShib,
    .mainLoginBox,
     #SetupWizard /* Guest login */ {
        width: 650px;
	    position: relative;
	    margin:0 auto;
	    top:-20px;
    }
    #tabGuest,/* Guest login */
    #SetupWizard {
        top: -20px;
    }
    .mainLoginBox TD  {
        height:30px;
    }
    INPUT{
        border: 1px solid #ccc;
    }
    input[type="radio"] {
        margin-left: 4px;
    }
	
/*=[ TEXTES ]===================*/
    /* Titres */
    #H3_TitleHeader
    {
        text-align : left;
        font-size: 1.2em;
	    font-weight:500;
	    color: #fff;
	    clear: right;
	    position: relative;
	    margin:0 auto;
	    width: 510px;
	    overflow:hidden;
        padding-left:0px;
        padding-right: 20px;
        text-overflow: ellipsis;
        display:inline-block;

        margin-top:5px;
        margin-bottom:5px;
    }

    #H3_Bienvenue, #H3_InfoPass, #H3_Guest, #H3_Detect, #H3_Title { 
	    font-size: 1.4em;
	    font-weight:500;
	    color: #fff;
	    clear: right;
	    position: relative;
	    top: -33px;
	    margin:0 auto;
	    width: 510px;
	    overflow:hidden;
        padding-left:0px;
        padding-right: 140px;
        text-overflow: ellipsis;
    }

    #H3_Guest, #H3_Title{ 
	    font-size: 1.2em;
	    top: -29px;
    }
    
	/* overrides the basic color added in interface css */
    #td_mainFrame A, 
    #td_mainFrame SPAN, 
    #td_mainFrame .link {
	    color: expression(color(text))
    } 

/*=[ BUTTONS ]===================*/   
 
    .icon{
        color:expression(color(base)) !important;
    }  
    A.other SPAN,
    A.other{
        color:expression(color(base)) !important;
        font-size: 1.0em;
        font-weight: 500;
        text-decoration:none
    }
    A.other:hover .txt{
       text-decoration:underline;
    }
    
    /* overrides the basic color added in interface css */
    A .txt{text-decoration:none}
    A.important{
		font-size: 1.1em;
		text-decoration: none;
		display:inline-block;
		padding: 10px 15px !important;
    }

    .popupMessageBox A.task{
		font-size: 1.1em;
		text-decoration: none;
		display:inline-block;
		padding: 10px 15px !important;
    }

	A#btnLogin {
        left: 320px;
        padding: 5px 15px;
        position: relative;
        top: -68px;
    }
    
	A#btnShibLogin 
    {
        margin-top: 15px;
    }
    

    .UP #pnlLogin A#btnLogin {
        left:0;
        top:0;
    }
    
    #btnForgotInfo {
		display:block;
		width:200px;
	}
    #td_lblUser, #td_lblPassword{
        width: 120px;
    }
    #td_txtUser input, #td_txtPassword input{
        width: 150px;
    }
    #td_lblPassword {
        padding-top: 2px;
        vertical-align: top;
    }

    SPAN.buttonHolder{
        color: expression(color(light)) !important;
    }
    #lblInfoExpired{margin-bottom:10px}
    
	/* Login Guest */
	.td_lblUser.guestUser {
		text-align: left;
	}
	#tabGuest #lblNom {
		margin-left: 1em;
	}
	#td_btnLogin A#btnAccess{margin-top:10px}
	#td_btnLogin A#btnClose.task{margin-top: 18px !important; float:right;}
	#td_btnLogin.buttons {
		padding-top: 30px;
	}

	#tabGuest .lblInput {
		margin-right: 0.5em;
	}
	/* Login UP */
    .UP #rdbLoginMode {
        top:-55px;
        *top:-50px;
    }
    .UP #tabForgotPass,
    .UP #tabLogin,
    .UP #tabGuest,
    .UP #tabLoginShib,
    .UP #tabPlayback  {
        top:-55px;
        *top:-50px;
        border-top:1px solid expression(color(base));
    }
	#btnLanguage_div{
		position: relative;
		*position: absolute; /* IE7 and below */
		*left:456px; /* IE7 and below */
		width:660px;
		margin: auto;
		z-index:1
    }
    #ddlLanguage    {
        float:right;
        margin-top:7px;
   }
     #tabHeader TD,
     #tabHeader TR{vertical-align:top;}

    #td_headerIntro {
        width: 850px !important;
        padding-left: 165px;
        word-wrap: break-word;
        margin-top: 6px;
    }
   
    IMG#imgUser {
        position:relative;
        left:-825px;
    }
    
     
    #rdbLoginModeShib 
    {
        padding-top: 25px;
        margin-bottom: 10px;
        border-bottom: 1px solid expression(color(base));
        width: 595px;
        left: -26px;
    }

    #td_ShinInfo 
    {
        width:487px;
    }
     
     #rdbLoginMode .modeItem, #rdbLoginModeShib .modeItem {
        display: inline-block;
        font-weight: 600;
        background-color:expression(color(base));
        color: expression(color(light)) !important;
        line-height: 20px;
        padding: 5px 10px 5px 0;
    }
    #rdbLoginMode .modeItem:hover, #rdbLoginModeShib .modeItem:hover {
        background-color:expression(colorRGBA(base,.9))
    }
     #rdbLoginMode .modeItem.selected, #rdbLoginModeShib .modeItem.selected    {
        background-color: expression(color(button));
    }
    #rdbLoginMode .modeItem.selected:hover, #rdbLoginModeShib .modeItem.selected:hover {
        background-color: expression(color(buttonHover));
    }
    .td_btnSideContent TABLE{width:95% !important; min-height:116px;}
    .modeItem INPUT{border:none;}
    #td_guestInfo HR,
    #td_userInfo HR {display:none}
    #lblInfoNotice    {
        display:block;
        font-size: 0.7em;
        line-height: 15px;
        margin-bottom: 5px;
    }
    #btnForgotInfo .txt{text-decoration:underline}
     
     /* GUEST LOGIN */
    #btnLanguage_img{display:none;}
    .td_lblUser.guestUser INPUT{margin: 0 10px}
     #pnlGuest #btnAccessActivity    {
        position:relative; 
        float:right; 
        top:-40px;
        *top:-60px; /* for IE7 */
        right: 20px
    }
    #tabGuest #btnAccessActivity{top:0;}
       
    /*=[ PIED DE PAGE ]======================*/
    #footerHolder     {
	    max-width:1100px;
	    min-width:600px;
	    position:relative;
	    margin:auto;
        white-space:nowrap;
        /*overflow:hidden;*/
	}
    .pageFooter     {
	    color: expression(color(text));
	    float: right;
	    display:inline;
	    width:50% !important;
	 }
    .pageFooter SPAN.text {
        display:none;
        display:inline;
    }
    .pageFooter SPAN.via  {
       background-repeat: no-repeat;	
       background-image: url("/images/interface/_default/logo_via.png");
       height:26px;
       width:63px;
       display:inline-block;
       vertical-align:middle;
	   margin-right: -4px;
       position: relative;
       bottom: 5px;
    }
    .pageFooter A.svi  {
       background-repeat: no-repeat;
       text-indent: 70px;
       background-image: url("/images/interface/_default/logo_svi_small.png");
       height:35px;
       width:63px;
       display:inline-block;
       vertical-align:middle;
       overflow: hidden;
	   margin-left: 5px;
       position: relative;
       bottom: 5px;
    }
    .pageFooter SPAN.classilio  {
       background-repeat: no-repeat;	
       background-image: url("expression(image(logo_classilio.png))");
       width: 113px;
	   height: 30px;
       display:inline-block;
       vertical-align:middle;
       position: relative;
       bottom: 5px;
    }
    #mobileLink      {
       display:inline;
       float:left;
    }
    #mobileLink A.link    {
        width:200px;
    }
    #mobileLink A.link IMG    {
       vertical-align:middle;
       margin-bottom: 2px;
       width:96px; /* for IE */
       height:26px; /* for IE */
    }

    /*=[ Media Queries ]======================*/

    /* Adapté selon la hauteur sur mobiles et navigateurs */
    @media (max-height:770px) {
        .UP #footerHolder {
            display: none;
        }
        #td_userInfo {
            vertical-align: top;
        }
    }
   
    @media (max-height: 680px) {
        .UP #tabHeader { 
            display: none;
        }
        .UP #tabForgotPass, .UP #tabLogin, .UP #tabGuest, .UP #tabActInfo, .UP #tabLoginShib {
            border-top: none !important;
            top: 10px;
        }
        .UP #pnlHeader {
            min-height: 0px;
            height: 30%;
        }
        .UP #rdbLoginMode
        {
            top :10px;
        }
    }

    @media (max-height: 550px) {
         #footerHolder {
             display: none;
        }
    }

    @media (max-height:520px) {
        #loginBody.UP {
            background-image: none;
        }
        .UP #td_mainFrame {
            top: 0;
            height: 100%;
        }
        .UP #footerHolder {
            display: block;

        }
        .UP #tabHeader {
            display: block;
        }
        .UP #pnlHeader {
            min-height: 125px;
            height: 35%;
        }

        .UP #rdbLoginMode
        {
            top :-55px;
        }

        .UP #tabForgotPass, .UP #tabLogin, .UP #tabGuest {
            border-top: none !important;
            top: -55px;
        }
    }

    @media (max-height:300px) {
        #loginBody {
            background-image: none;
        }
        #td_mainFrame {
            top: 0;
            height: 100%;
        }
    }
    
    @media (max-height:280px) {
        .UP #footerHolder {
            display: none;
	    }
    }

    /* Adapté selon la largeur sur mobiles et navigateurs */
    @media (max-width: 767px) {
        HTML, BODY {
             background-position: 27% 65% !important;
        }
    }

    @media (max-width: 1010px) {
        .UP #tabHeader #imgUser {
            display: none;
        }
        .UP #td_headerIntro {
            padding: 0px !important;
        }
        .UP #td_headerIntro, .UP #tabHeader {
            width: 100% !important;
        }
        .UP #td_headerIntro #lblIntro {
            margin: 0px auto;
            width: 650px;
            display: block;
        }
        #mobileLink {
            display: none !important;
        }
        .pageFooter {
            float: none !important;
            display: block !important;
            text-align: right;
            width: 650px !important;
            margin: 0px auto;
        }
    }

    @media (min-width: 768px) and (max-width: 1000px) {
        HTML, BODY {
             background-position: 30% 65% !important;
        }
    }